/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.actions.name;

import org.apache.log4j.Logger;
import org.eclipse.jface.action.Action;
import org.eclipse.jface.resource.ImageDescriptor;

import eu.etaxonomy.cdm.model.taxon.Taxon;
import eu.etaxonomy.taxeditor.ITaxEditorConstants;
import eu.etaxonomy.taxeditor.TaxEditorPlugin;
import eu.etaxonomy.taxeditor.controller.EditorController;

/**
 * @author n.hoffmann
 * @created 02.02.2009
 * @version 1.0
 */
public class CreateAutonymAction extends Action {
	private static final Logger logger = Logger.getLogger(CreateAutonymAction.class);

	private static String text = "Create autonym";
	private static ImageDescriptor image = TaxEditorPlugin.getDefault()
			.getImageRegistry().getDescriptor(ITaxEditorConstants.AUTONYM_ICON);

	public CreateAutonymAction(){
		super(text, image);
	}
	
	@Deprecated
	public void run(){
		Taxon taxon = EditorController.getActiveEditor().getTaxon();
		
		logger.warn("Not implemented yet!");
	}
}
