/**
 * 
 */
package eu.etaxonomy.taxeditor.editor;

import org.eclipse.core.runtime.IAdapterFactory;

/**
 * @author n.hoffmann
 *
 */
public class MultiPageTaxonEditorAdapterFactory implements IAdapterFactory {

	/* (non-Javadoc)
	 * @see org.eclipse.core.runtime.IAdapterFactory#getAdapter(java.lang.Object, java.lang.Class)
	 */
	public Object getAdapter(Object adaptableObject, Class adapterType) {
		
		if((adaptableObject instanceof MultiPageTaxonEditor)  && adapterType.equals(DuplicateArbitrator.class)){
			return new DuplicateArbitrator((MultiPageTaxonEditor) adaptableObject);
		}
		
		return null;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.core.runtime.IAdapterFactory#getAdapterList()
	 */
	public Class[] getAdapterList() {
		return new Class[]{
				DuplicateArbitrator.class
		};
	}

}
