package eu.etaxonomy.taxeditor.prototype1;

import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

import eu.etaxonomy.taxeditor.prototype1.view.NameListView;

public class Perspective implements IPerspectiveFactory {

	public static final String ID = "eu.etaxonomy.mvctest.perspective";
	
	public void createInitialLayout(IPageLayout layout) {
		String editorArea = layout.getEditorArea();
		layout.addStandaloneView(NameListView.ID, false, IPageLayout.LEFT, 0.25f, editorArea);
		// navigatorFolder.addView(LastNameView.ID);
		layout.getViewLayout(NameListView.ID).setCloseable(false);
		// navigatorFolder.addView(LastNameView.ID);
	}
}
