// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.bulkeditor;

import org.apache.log4j.Logger;

import eu.etaxonomy.cdm.model.reference.Journal;
import eu.etaxonomy.cdm.model.reference.ReferenceBase;

/**
 * @author p.ciardelli
 * @created 07.07.2009
 * @version 1.0
 */
public class ReferenceCreator implements IEntityCreator<ReferenceBase> {
	private static final Logger logger = Logger
			.getLogger(ReferenceCreator.class);

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.bulkeditor.IEntityCreator#createEntity(java.lang.String)
	 */
	public ReferenceBase createEntity(String text) {
		Journal reference = Journal.NewInstance();
		reference.setTitleCache(text);
		return reference;
	}
}
